OpenSUSE Tumbleweed behind builds

16 views
Skip to first unread message

Bob Mattes

unread,
Jul 5, 2022, 3:08:15 PMJul 5
to Subsurface Divelog
Hi - OpenSUSE Tumbleweed OBS has been stuck on SS 5.04 since Oct 2021. I've been using the 5.0.8 appimage, but it doesn't integrate into the OpenSUSE menu system. Any thoughts on updating to 5.0.8 for Tumbleweed? From looking at the build histories, it appears that a couple of libraries are missing. Thanks!

Bob

Dirk Hohndel

unread,
Jul 5, 2022, 3:10:45 PMJul 5
to Subsurface Divelog


> On Jul 5, 2022, at 12:08 PM, Bob wrote:
>
> Hi - OpenSUSE Tumbleweed OBS has been stuck on SS 5.04 since Oct 2021. I've been using the 5.0.8 appimage, but it doesn't integrate into the OpenSUSE menu system. Any thoughts on updating to 5.0.8 for Tumbleweed? From looking at the build histories, it appears that a couple of libraries are missing. Thanks!

This is the fundamental problem with the Linux app ecosystem... there are so many versions to track, and it's so hard to know which ones are actually used.

I'll try to find time in the next few days to look into the Tumbleweed build. I was gone for a couple of weeks for family reasons and I am massively behind on all kinds of things, but hopefully this won't be too hard to fix.

/D

Bob Mattes

unread,
Jul 5, 2022, 3:11:52 PMJul 5
to Subsurface Divelog
Thank you so much! I hope that all is OK there.

Bob

Dirk Hohndel

unread,
Jul 6, 2022, 1:36:14 PMJul 6
to subsurfac...@googlegroups.com
Apparently Tumbleweed has removed the libQt5WebKit5-devel package. Which means Subsurface can't display its user manual and can't print directly anymore. I will need to figure out a way to setup the builds so that WebKit is optional and the builds still succeed on Tumbleweed, but that of course means that we have an official build that is missing two key features...

/D

Bob Mattes

unread,
Jul 6, 2022, 4:02:36 PMJul 6
to Subsurface Divelog
Thanks, Dirk! That's sad on OpenSUSE. I will put in a ticket with them to restore the required packages. I'm not sure that it's worth your effort to accommodate since the appimage works fine.

Bob

Dirk Hohndel

unread,
Jul 6, 2022, 11:30:03 PMJul 6
to Subsurface Divelog
There should now be (somewhat crippled) builds for Subsurface 5.0.8 in both Tumbleweed and openSUSE 15.4 flavors.

Thanks for pointing out that omission.

I'd appreciate if you could test those.

/D

Bob Mattes

unread,
Jul 7, 2022, 8:37:54 AMJul 7
to Subsurface Divelog
Thanks, Dirk! I'll test the Tumbleweed one this morning.

Bob

Bob Mattes

unread,
Jul 7, 2022, 9:03:51 AMJul 7
to Subsurface Divelog
I was able to install 5.08-7.1 from your obs repository using YaST Software with no issues. Neither Printing nor User Manual are offered in the menus, and  libQt5WebKit5-devel is not listed as a dependency. Otherwise, the build seems to work fine. I can still work with the log and link to my Suunto Eon Core. I have never printed from subsurface and use the online user manual if needed, so this version does everything that I normally need.

Thank you so much for accommodating OpenSUSE Tumbleweed's quirk. I will still work with the build maintainers to get libQt5WebKit5-devel restored to the repositories.

Reply all
Reply to author
Forward
0 new messages